body {
    margin: 0;
    width: 100%;
    height: 100%;
    overflow-y: hidden;
}

.base-container{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 100vh;
    width: 100vw;
    margin: 0;
    color: #FFFFFF;
}

nav {
    width: 5vw;
    height: 100%;
    background: #0B2B6B 0% 0% no-repeat padding-box;
    position: relative;
    display: flex;
    flex-direction: column;
}

nav > .user-icon {
    width: 95%;
    border-radius: 50%;
    margin: 0 auto;
}

nav > a {
    width: 100%;
    height: calc(2vw + 5.5vh);
    background: transparent;
    color: white;
    line-height: 10vh;
    position: relative;
    font-size: 4.5vw;
    border: 0;
    margin: 10px 0;
}

nav > a > i {
    position: absolute;
    top: 4%;
    left: 0;
    height: 100%;
    width: 100%;
    text-align: center;
}

nav > a:last-of-type{
    position: absolute;
    bottom: 1px;
    left: 0;
}

main {
    height: 100vh;
    width: 95vw;
    margin: 0;
    display: flex;
    flex-direction: column;
}

.title_box {
    width: 100%;
    height: 5vh;
    line-height: 2.2em;
    margin: 0;
    background: #0B2B6B 0% 0% no-repeat padding-box;

    text-align: left;
    font: normal normal normal 2.3vh Segoe UI;
    letter-spacing: 0px;;
    opacity: 1;
}


.title_box > p {
    position: relative;
    bottom: 25%;
    height: 100%;
}

.board {
    background: transparent radial-gradient(closest-side at 50% 50%, #1249B8 0%, #09255C 100%) 0% 0% no-repeat padding-box;
    width: 95vw;
    height: 95vh;
}

a:hover{
    background: #1249B8;
}

.no-valid {
    border: 3px solid red;
    border-radius: 1em;
    box-shadow: 0 0 0.2em red;
    outline: none;
}


@media only screen and (max-device-width: 420px) {
    .base-container{
        flex-direction: column;
    }

    nav {
        width: 100%;
        height: 8vh;
        flex-direction: row;
    }

    nav > .user-icon {
        height: 95%;
        width: 13%;
        float: left;
    }

    nav > .logo {
        height: 100%;
        width: 20%;
        float: left;
    }

    nav > a {
        width: 15%;
        height: 100%;
        font-size: 6vh;
        line-height: 6vh;
        float: left;
    }

    nav > a:first-of-type{
        margin-left: 21vw;
    }

    nav > a:last-of-type{
        position: relative;
    }

    main {
        width: 100%;
        height: 92vh;
    }

    .board {
        width: 100%;
    }
}